%global _unitdir /usr/lib/systemd/system

Summary: Analyzes and Reports on system logs
Name: logwatch
Version: 7.7
Release: 3%{?dist}
License: MIT
URL: https://sourceforge.net/projects/logwatch/
Source0: https://sourceforge.net/projects/logwatch/files/%{name}-%{version}/%{name}-%{version}.tar.gz

Patch3000: logwatch-f36.patch

BuildRequires: perl-generators
Requires: grep crontabs
Requires: perl(Date::Manip) perl(diagnostics) perl(Errno)
Requires: perl(File::Basename) perl(lib) perl(Sys::CPU) perl(Sys::MemInfo)
Requires: perl(Socket) perl(Time::Local) perl(URI::URL)

BuildArch: noarch

%description
Logwatch is a customizable log analysis system. Logwatch parses through your
system's logs and creates a report analyzing areas that you specify. Logwatch
is easy to use and will work right out of the package on most systems.

%prep
%autosetup -p1

%build

%install
install -m0755 -d %{buildroot}%{_var}/cache/logwatch
install -m0755 -d %{buildroot}%{_sysconfdir}/logwatch/scripts
install -m0755 -d %{buildroot}%{_sysconfdir}/logwatch/scripts/services
install -m0755 -d %{buildroot}%{_sysconfdir}/logwatch/conf
install -m0755 -d %{buildroot}%{_sysconfdir}/logwatch/conf/logfiles
install -m0755 -d %{buildroot}%{_sysconfdir}/logwatch/conf/services
install -m0755 -d %{buildroot}%{_sysconfdir}/cron.daily
install -m0755 -d %{buildroot}%{_datadir}/logwatch/default.conf/logfiles
install -m0755 -d %{buildroot}%{_datadir}/logwatch/default.conf/services
install -m0755 -d %{buildroot}%{_datadir}/logwatch/default.conf/html
install -m0755 -d %{buildroot}%{_datadir}/logwatch/dist.conf/logfiles
install -m0755 -d %{buildroot}%{_datadir}/logwatch/dist.conf/services
install -m0755 -d %{buildroot}%{_datadir}/logwatch/scripts/services
install -m0755 -d %{buildroot}%{_datadir}/logwatch/scripts/shared
install -m0755 -d %{buildroot}%{_datadir}/logwatch/lib
install -m0755 -d %{buildroot}%{_sbindir}
install -m0755 -d %{buildroot}%{_mandir}/man1
install -m0755 -d %{buildroot}%{_mandir}/man5
install -m0755 -d %{buildroot}%{_mandir}/man8

for i in scripts/logfiles/* ; do
   if [ $(ls $i | wc -l) -ne 0 ] ; then
      install -m0755 -d %{buildroot}%{_datadir}/logwatch/$i
      install -m0644 $i/* %{buildroot}%{_datadir}/logwatch/$i
   fi
done

install -m0755 scripts/logwatch.pl %{buildroot}%{_datadir}/logwatch/scripts/logwatch.pl
install -m0644 scripts/services/* %{buildroot}%{_datadir}/logwatch/scripts/services
install -m0644 scripts/shared/* %{buildroot}%{_datadir}/logwatch/scripts/shared

install -m0644 conf/*.conf %{buildroot}%{_datadir}/logwatch/default.conf

install -m0644 conf/logfiles/* %{buildroot}%{_datadir}/logwatch/default.conf/logfiles
install -m0644 conf/services/* %{buildroot}%{_datadir}/logwatch/default.conf/services
install -m0644 conf/html/* %{buildroot}%{_datadir}/logwatch/default.conf/html

install -m0644 lib/* %{buildroot}%{_datadir}/logwatch/lib

install -m0644 amavis-logwatch.1 %{buildroot}%{_mandir}/man1
install -m0644 postfix-logwatch.1 %{buildroot}%{_mandir}/man1
install -m0644 logwatch.conf.5 %{buildroot}%{_mandir}/man5
ln -s logwatch.conf.5 %{buildroot}%{_mandir}/man5/ignore.conf.5
ln -s logwatch.conf.5 %{buildroot}%{_mandir}/man5/override.conf.5
install -m0644 logwatch.8 %{buildroot}%{_mandir}/man8

install -m0755 scheduler/logwatch.cron %{buildroot}%{_sysconfdir}/cron.daily/0logwatch
mkdir -p %{buildroot}%{_unitdir}
install -m0644 scheduler/logwatch.timer %{buildroot}%{_unitdir}/logwatch.timer
install -m0644 scheduler/logwatch.service %{buildroot}%{_unitdir}/logwatch.service
install -m0644 scheduler/systemd.conf %{buildroot}%{_datadir}/logwatch/default.conf/systemd.conf

ln -s ../../%{_datadir}/logwatch/scripts/logwatch.pl %{buildroot}/%{_sbindir}/logwatch

echo "###### REGULAR EXPRESSIONS IN THIS FILE WILL BE TRIMMED FROM REPORT OUTPUT #####" > %{buildroot}%{_sysconfdir}/logwatch/conf/ignore.conf
echo "# Local configuration options go here (defaults are in %{_datadir}/logwatch/default.conf/logwatch.conf)" > %{buildroot}%{_sysconfdir}/logwatch/conf/logwatch.conf
echo "# Configuration overrides for specific logfiles/services may be placed here." > %{buildroot}%{_sysconfdir}/logwatch/conf/override.conf

%files
%license LICENSE
%doc README HOWTO-Customize-LogWatch
%dir %{_var}/cache/logwatch
%dir %{_sysconfdir}/logwatch
%dir %{_sysconfdir}/logwatch/scripts
%dir %{_sysconfdir}/logwatch/conf
%dir %{_sysconfdir}/logwatch/conf/logfiles
%dir %{_sysconfdir}/logwatch/conf/services
%dir %{_sysconfdir}/logwatch/scripts/services
%config(noreplace) %{_sysconfdir}/cron.daily/0logwatch
%config(noreplace) %{_sysconfdir}/logwatch/conf/*.conf
%dir %{_datadir}/logwatch
%dir %{_datadir}/logwatch/dist.conf
%dir %{_datadir}/logwatch/dist.conf/services
%dir %{_datadir}/logwatch/dist.conf/logfiles
%{_datadir}/logwatch/scripts/logwatch.pl
%config(noreplace) %{_datadir}/logwatch/default.conf/*.conf
%{_sbindir}/logwatch
%dir %{_datadir}/logwatch/scripts
%{_datadir}/logwatch/scripts/shared
%{_datadir}/logwatch/scripts/services
%{_datadir}/logwatch/scripts/logfiles
%dir %{_datadir}/logwatch/lib
%{_datadir}/logwatch/lib/*
%dir %{_datadir}/logwatch/default.conf
%dir %{_datadir}/logwatch/default.conf/services
%{_datadir}/logwatch/default.conf/services/*.conf
%dir %{_datadir}/logwatch/default.conf/logfiles
%{_datadir}/logwatch/default.conf/logfiles/*.conf
%dir %{_datadir}/logwatch/default.conf/html
%{_datadir}/logwatch/default.conf/html/*.html
%{_unitdir}/logwatch.service
%{_unitdir}/logwatch.timer
%{_mandir}/man*/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.7-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 cunshunxia <cunshunxia@tencent.com> - 7.7-1
- initial build
